import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { SeriesView } from "./SeriesView";
import { Point, Type } from "igniteui-react-core/ES5/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Polyline } from "igniteui-react-core/ES5/Polyline";
import { Polygon } from "igniteui-react-core/ES5/Polygon";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class RangeAreaSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    pc: RangeAreaSeriesView;
    protected get_ck(): boolean;
    protected pd(a: Point, b: Point, c: Point, d: boolean): boolean;
    dg(a: Point, b: boolean): boolean;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    oh(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class RangeAreaSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected cy: RangeAreaSeries;
    constructor(a: RangeAreaSeries);
    ap(): void;
    private c6;
    private c2;
    private c8;
    readonly c7: Polyline;
    readonly c3: Polygon;
    readonly c9: Polyline;
    cz(): void;
    c0(a: number, b: List$1<number[]>, c: boolean): void;
    private c5;
    private c4;
    private c1;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
